Subject: [PATCH v2] clk: mvebu: flag the crypto clk as CLK_IGNORE_UNUSED

From: [email-masked] (Boris Brezillon)
Date: Thu, 18 Jun 2015 21:47:29 +0200

Hi Mike,

On Thu, 18 Jun 2015 11:36:54 -0700
Michael Turquette <[email-masked]> wrote:

> Quoting Gregory CLEMENT (2015-06-17 04:57:08)
> > Hi Mike, Stephen,
> > 
> > On 16/06/2015 17:56, Boris Brezillon wrote:
> > > The crypto SRAM, used by the armada 370 cpuidle code to workaround a bug
> > > in the BootROM code, requires the crypto clk to be up and running.
> > > Flag the crypto clk as IGNORE_UNUSED until we add the proper
> > > infrastructure to define the crypto SRAM in the DT and reference the crypto
> > > clk in this SRAM node.
> > > 
> > > Reported-by: Kevin Hilman <[email-masked]>
> > > Signed-off-by: Boris Brezillon <[email-masked]>
> > > Tested-by: Kevin Hilman <[email-masked]>
> > > Fixes: 29e623475c50267ee3aaa49ebb6cbe107bce8d2a ("clk: mvebu: add
> > > missing CESA gate clk").
> > > Cc: <[email-masked]> #4.1
> > 
> > Acked-by: Gregory CLEMENT <[email-masked]>
> > 
> > Would it possible to apply this fix on 4.1-rc8 ?
> 
> Hi Gregory,
> 
> I'm a bit confused by this. This patch fixes "clk: mvebu: add missing
> CESA gate clk", right? That patch lives in clk-next. It was not pushed
> to Linus' tree yet via a -fixes branch.
> 
> Thus I can just apply this patch to clk-next and the problem should be
> resolved in clk-next, no?

Yes. I've tagged this patch as applicable on stable 4.1 in case it
didn't make it in the next -rc (which should be the last one before
4.1 is released).
I don't know if it's a good practice, but I've had several fixes which
missed the targeted release in the past, and tagging them as stable
helps in getting the patches applied afterwards.

> 
> Furthermore, I do not have 29e623475c50267ee3aaa49ebb6cbe107bce8d2a
> anywhere in my tree. I'm not sure where this sha1 hash came from.

Oops, I mixed the commit hash in my local branch and the one in clk-next
(4d52b2acefdfceae0e47ed08324a96f511dc80b1).

Best Regards,

Boris

-- 
Boris Brezillon, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com